Package org.apache.sysds.utils

## Enum Explain.ExplainType

- java.lang.Object
- - java.lang.Enum<Explain.ExplainType>
  - - org.apache.sysds.utils.Explain.ExplainType

- All Implemented Interfaces:
    `Serializable`, `Comparable<Explain.ExplainType>`
  Enclosing class:
    Explain

      public static enum Explain.ExplainType
      extends Enum<Explain.ExplainType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HOPS` |
    `NONE` |
    `RECOMPILE_HOPS` |
    `RECOMPILE_RUNTIME` |
    `RUNTIME` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isHopsType​(boolean recompile)` |
    `boolean` | `isRuntimeType​(boolean recompile)` |
    `static Explain.ExplainType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Explain.ExplainType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Explain.ExplainType NONE

    - #### HOPS

          public static final Explain.ExplainType HOPS

    - #### RUNTIME

          public static final Explain.ExplainType RUNTIME

    - #### RECOMPILE_HOPS

          public static final Explain.ExplainType RECOMPILE_HOPS

    - #### RECOMPILE_RUNTIME

          public static final Explain.ExplainType RECOMPILE_RUNTIME

  - ### Method Detail

    - #### values

          public static Explain.ExplainType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Explain.ExplainType c : Explain.ExplainType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Explain.ExplainType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isHopsType

          public boolean isHopsType​(boolean recompile)

    - #### isRuntimeType

          public boolean isRuntimeType​(boolean recompile)